Johan Johan - 4 months ago 16
Python Question

Unable to install cffi with pip on mac os x 10.10

I am trying to install cffi, need it for scrapy and cryptography, on Mac OS X 10.10 with pip and python installed through brew. I have updated command line tools installed and updated xcode.

libffi-3.0.13 is installed.

$ pkg-config --version
0.28

$ gcc --version
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 6.1.0 (clang-602.0.49) (based on LLVM 3.6.0svn)
Target: x86_64-apple-darwin14.3.0
Thread model: posix

$ python --version
Python 2.7.9

$ which pip
/usr/local/bin/pip

$ which python
/usr/local/bin/python

$ pip install cffi --verbose
Collecting cffi
Getting page https://pypi.python.org/simple/cffi/
Starting new HTTPS connection (1): pypi.python.org
"GET /simple/cffi/ HTTP/1.1" 200 3174
1 location(s) to search for versions of cffi:
* https://pypi.python.org/simple/cffi/
Getting page https://pypi.python.org/simple/cffi/
Analyzing links from page https://pypi.python.org/simple/cffi/
Skipping https://pypi.python.org/packages/2.6/c/cffi/cffi-0.9.0-cp26-none-win32.whl#md5=5448f38557332caf445f2b1b3d96493c (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/2.6/c/cffi/cffi-0.9.0-cp26-none-win_amd64.whl#md5=9f94745d46800c8bba07d12daca1ba1f (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/2.7/c/cffi/cffi-0.9.0-cp27-none-win32.whl#md5=ebcd4e82a543fa4156422b31800937c0 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/2.7/c/cffi/cffi-0.9.0-cp27-none-win_amd64.whl#md5=d8e18810793a6693547c190cf1470518 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/3.2/c/cffi/cffi-0.9.0-cp32-none-win32.whl#md5=e1d89bca7d9ba40d559f3dff41758dee (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/3.2/c/cffi/cffi-0.9.0-cp32-none-win_amd64.whl#md5=36ed3dfd9b2de4935a2ad9900fecf36e (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/3.3/c/cffi/cffi-0.9.0-cp33-none-win32.whl#md5=356f083130ef3e6eb2abb713d8fa3b34 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/3.3/c/cffi/cffi-0.9.0-cp33-none-win_amd64.whl#md5=a208a83ca8fbd200160d84d422ce2140 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/3.4/c/cffi/cffi-0.9.0-cp34-none-win32.whl#md5=eb03d916bf3ec583640995cd84523530 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/3.4/c/cffi/cffi-0.9.0-cp34-none-win_amd64.whl#md5=5ffd1ba04d5278131a342f3f3c990169 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.1-cp26-none-win32.whl#md5=43c5e5dee0623bedecddda42a3244b81 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.2-cp26-none-win32.whl#md5=b96b84d22204db3955ea89e95a26ebc6 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.2-cp26-none-win_amd64.whl#md5=4ad6b4952b0aef43dc52613b3c8ce935 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.3-cp26-none-win32.whl#md5=2ab21b1089d262ac469a6ffd7957ee3e (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.3-cp26-none-win_amd64.whl#md5=e2247c7f15c5675514138ddbc89fa910 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.4-cp26-none-win32.whl#md5=efb3fc7a94ea39f56edcab1ec3571f8e (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.4-cp26-none-win_amd64.whl#md5=1568dd5c9259239d7e25ea3015880465 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.5-cp26-none-win32.whl#md5=1fe2127a3cebdcddb4868683795145d8 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.5-cp26-none-win_amd64.whl#md5=4b78a6d17909e05686f1e63c71bc37ff (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.6-cp26-none-win32.whl#md5=0c3357908bdb31c3f8f4826113765f17 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.8.6-cp26-none-win_amd64.whl#md5=4bac2d83dc7acea7af3dd01e2ec84dcf (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.9.1-cp26-none-win32.whl#md5=fd84c467152e153b8bb04e701c9d0800 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.9.1-cp26-none-win_amd64.whl#md5=85cf4ac7841014af78b34b07711698ec (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.9.2-cp26-none-win32.whl#md5=9e2c175609ad84f6ffa6006092776fef (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp26/c/cffi/cffi-0.9.2-cp26-none-win_amd64.whl#md5=db74894cb5661914ba9280f63f53112a (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.1-cp27-none-win32.whl#md5=a24b8aac42b4b35009bdda89ab33173d (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.2-cp27-none-win32.whl#md5=748720929cf4175330f6459e13b4f45a (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.2-cp27-none-win_amd64.whl#md5=39bef680d138f48f985bdb1de18ae8e1 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.3-cp27-none-win32.whl#md5=0ba0b969d6ef7d29dbd8dfa70db424e2 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.3-cp27-none-win_amd64.whl#md5=cf5813c5d11c62b8b4ffe97b43c2c1e6 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.4-cp27-none-win32.whl#md5=5a6792f2ad223ef9ed192322ba89d182 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.4-cp27-none-win_amd64.whl#md5=e39609c47f214c784b6bdd38e29d0bc2 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.5-cp27-none-win32.whl#md5=2daaf993425d7ca2c15ebc5a4af8f92a (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.5-cp27-none-win_amd64.whl#md5=36546be7d52d80a4d7d65bb1b02cf1c9 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.6-cp27-none-win32.whl#md5=aedc78351af65c4f514df0f2812473eb (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.8.6-cp27-none-win_amd64.whl#md5=55186e37f92228fe613e533dd7d99a1b (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.9.1-cp27-none-win32.whl#md5=2a97c4b8db290e0b3281d81e7e419465 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.9.1-cp27-none-win_amd64.whl#md5=fd4bd80abe5c8f84108fd44dc78ec4b8 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.9.2-cp27-none-win32.whl#md5=dd217315101bfde6a47b60c2b1ca0aeb (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp27/c/cffi/cffi-0.9.2-cp27-none-win_amd64.whl#md5=ade003e9f5217cc6b4df244a6f45eb41 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.1-cp32-none-win32.whl#md5=186fc3ae218025ec1ef506231cf55d0b (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.2-cp32-none-win32.whl#md5=2e1f0db1a890bf0ba0062f182fc0214a (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.2-cp32-none-win_amd64.whl#md5=999137217400787f979e85935bc8eb79 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.3-cp32-none-win32.whl#md5=25109eb1aaa80e71de39b958ce300546 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.3-cp32-none-win_amd64.whl#md5=5e14e9ad8d6f6107d68b8f2963695cae (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.4-cp32-none-win32.whl#md5=d1afdf169947146e4a28a7b756043a2d (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.4-cp32-none-win_amd64.whl#md5=848aaeb2c63e18e25ba616a6e23f1226 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.5-cp32-none-win32.whl#md5=f499b65007fcda93551463a9cdb219d5 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.5-cp32-none-win_amd64.whl#md5=53e4d76448aa626db8c13aeb96f77aaf (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.6-cp32-none-win32.whl#md5=3e1235fb1ec4779b8caef0cf08e3ba42 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.8.6-cp32-none-win_amd64.whl#md5=12411f18fff42d3beff45abc03681c45 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.9.1-cp32-none-win32.whl#md5=b002b9f3d3294898f9df04a137f1ac2f (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.9.1-cp32-none-win_amd64.whl#md5=60875b55e1a3f1e4f368937e0f012d78 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.9.2-cp32-none-win32.whl#md5=8cff4d01f8a0f486bf4ecd598c601403 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp32/c/cffi/cffi-0.9.2-cp32-none-win_amd64.whl#md5=14d2f1d2af1f9cef81da635127778f7e (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.1-cp33-none-win32.whl#md5=73259a8c2eb0869d67964d3e2dba3424 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.2-cp33-none-win32.whl#md5=b3d7b747675d86fcf43859922e1d6d93 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.2-cp33-none-win_amd64.whl#md5=9461ce831b01f36c64a84c25dbf7aaac (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.3-cp33-none-win32.whl#md5=40d857058e4edb010ea68cc5ae883b86 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.3-cp33-none-win_amd64.whl#md5=e5adb7b514c088daf4e4f4af262c8a57 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.4-cp33-none-win32.whl#md5=cdc850caebfe7eecf98414269dacc9a4 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.4-cp33-none-win_amd64.whl#md5=ee56e29c9afc9521195564e34a377f43 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.5-cp33-none-win32.whl#md5=75e8acff308c0eb1443a2aa56dcd57c4 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.5-cp33-none-win_amd64.whl#md5=07bada595b7dcadf0644aa9938f41ca6 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.6-cp33-none-win32.whl#md5=3b4cdfb0cafccaf9de1f0260cdc55204 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.8.6-cp33-none-win_amd64.whl#md5=17af74c4b52e5a0fa2105406944f0f40 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.9.1-cp33-none-win32.whl#md5=6f4ac95c3a3c3feed48d4f86ff87bf1f (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.9.1-cp33-none-win_amd64.whl#md5=0bb4e67779055676f8515cb65ba0620a (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.9.2-cp33-none-win32.whl#md5=7e823b4b535399f3c9f7201b22dab2b5 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp33/c/cffi/cffi-0.9.2-cp33-none-win_amd64.whl#md5=71a272cd7f07fc3e6b0fceaed82ad9e5 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.2-cp34-none-win32.whl#md5=692578ca58384689ddf6b7c399f5dd60 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.2-cp34-none-win_amd64.whl#md5=5cbbe0e74cb337a032d49c3fab35174f (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.3-cp34-none-win32.whl#md5=9c8b4a7659b7236c690dc2334f638222 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.3-cp34-none-win_amd64.whl#md5=97f98bc62f3485e6d707c8da48bc05d0 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.4-cp34-none-win32.whl#md5=f3a677228d4b5c8ec5187ef746c9d83a (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.4-cp34-none-win_amd64.whl#md5=1bbf6f1d3d9a6de9359b6369a1b7d978 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.5-cp34-none-win32.whl#md5=809b79271638d9c4d3bab676db0033cd (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.5-cp34-none-win_amd64.whl#md5=d13b45982b8ec0b4548e36e0fc31076f (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.6-cp34-none-win32.whl#md5=5a6e13530b530d56fbd03ed2c801dceb (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.8.6-cp34-none-win_amd64.whl#md5=2027e69ada49ae224541a979aa23eabf (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.9.1-cp34-none-win32.whl#md5=de9dfdc05ee4902ad1bd260832ac0f31 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.9.1-cp34-none-win_amd64.whl#md5=c298a0118f2b484dba8286305c877df2 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.9.2-cp34-none-win32.whl#md5=0f85ed6cd72145581fa3f824c889cc03 (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Skipping https://pypi.python.org/packages/cp34/c/cffi/cffi-0.9.2-cp34-none-win_amd64.whl#md5=7977bceee7c76f5379f0e7111ce776af (from https://pypi.python.org/simple/cffi/) because it is not compatible with this Python
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.1.tar.gz#md5=d78ad460f708ddd1f550fd65fd0803e1 (from https://pypi.python.org/simple/cffi/), version: 0.1
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.2.1.tar.gz#md5=32dd211d55f6891a575cf2b5471768fd (from https://pypi.python.org/simple/cffi/), version: 0.2.1
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.2.tar.gz#md5=768f1214dbaf8839d120e8dfd658aa88 (from https://pypi.python.org/simple/cffi/), version: 0.2
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.3.tar.gz#md5=25dbc7b6182c64d08adeb6077bfa2743 (from https://pypi.python.org/simple/cffi/), version: 0.3
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.4.1.tar.gz#md5=e2b929397207d3ec7d88786dda7da474 (from https://pypi.python.org/simple/cffi/), version: 0.4.1
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.4.2.tar.gz#md5=c2a35af157006e966c67d1a725e7875e (from https://pypi.python.org/simple/cffi/), version: 0.4.2
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.4.tar.gz#md5=4d5cee77fcb328ece71d794dcc38b5a9 (from https://pypi.python.org/simple/cffi/), version: 0.4
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.5.tar.gz#md5=b163c11f68cad4371e8caeb91d81743f (from https://pypi.python.org/simple/cffi/), version: 0.5
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.6.tar.gz#md5=5be33b1ab0247a984d42b27344519337 (from https://pypi.python.org/simple/cffi/), version: 0.6
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.7.1.tar.gz#md5=dcfbb32d9a757d515801463602e4c533 (from https://pypi.python.org/simple/cffi/), version: 0.7.1
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.7.2.tar.gz#md5=d329f5cb2053fd31dafc02e2c9ef0299 (from https://pypi.python.org/simple/cffi/), version: 0.7.2
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.7.tar.gz#md5=2110516c65f7c9e6f324241c322178c8 (from https://pypi.python.org/simple/cffi/), version: 0.7
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.8.1.tar.gz#md5=1a877bf113bfe90fdefedbf9e39310d2 (from https://pypi.python.org/simple/cffi/), version: 0.8.1
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.8.2.tar.gz#md5=37fc88c62f40d04e8a18192433f951ec (from https://pypi.python.org/simple/cffi/), version: 0.8.2
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.8.3.tar.gz#md5=57e140a7d475f58bada8f2ada3f5749e (from https://pypi.python.org/simple/cffi/), version: 0.8.3
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.8.4.tar.gz#md5=148894125d3fa696b418dc6559818f7a (from https://pypi.python.org/simple/cffi/), version: 0.8.4
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.8.5.tar.gz#md5=964981f3fada08abbe9a6f8948f3a4c3 (from https://pypi.python.org/simple/cffi/), version: 0.8.5
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.8.6.tar.gz#md5=474b5a68299a6f05009171de1dc91be6 (from https://pypi.python.org/simple/cffi/), version: 0.8.6
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.8.tar.gz#md5=e61deb0515311bb42d5d58b9403bc923 (from https://pypi.python.org/simple/cffi/), version: 0.8
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.9.0.tar.gz#md5=3a2f6b9f16e8082271aed6dcac51a71a (from https://pypi.python.org/simple/cffi/), version: 0.9.0
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.9.1.tar.gz#md5=8dbdf23c600845b75654024e434601ce (from https://pypi.python.org/simple/cffi/), version: 0.9.1
Found link https://pypi.python.org/packages/source/c/cffi/cffi-0.9.2.tar.gz#md5=b1bf4625ae07a8a932f2f1a2eb200c54 (from https://pypi.python.org/simple/cffi/), version: 0.9.2
Using version 0.9.2 (newest of versions: 0.9.2, 0.9.1, 0.9.0, 0.8.6, 0.8.5, 0.8.4, 0.8.3, 0.8.2, 0.8.1, 0.8, 0.7.2, 0.7.1, 0.7, 0.6, 0.5, 0.4.2, 0.4.1, 0.4, 0.3, 0.2.1, 0.2, 0.1)
Using cached cffi-0.9.2.tar.gz
Downloading from URL https://pypi.python.org/packages/source/c/cffi/cffi-0.9.2.tar.gz#md5=b1bf4625ae07a8a932f2f1a2eb200c54 (from https://pypi.python.org/simple/cffi/)
Running setup.py (path:/private/var/folders/rm/jkk12jm578jggsh636bnq0j00000gn/T/pip-build-g6JKEf/cffi/setup.py) egg_info for package cffi
Running command python setup.py egg_info
Complete output from command python setup.py egg_info:
<built-in>:0: error: Unknown value ‘10.10’ of -mmacosx-version-min
_configtest.c:1: error: thread-local storage not supported for this target
<built-in>:0: error: Unknown value ‘10.10’ of -mmacosx-version-min

No working compiler found, or bogus compiler options
passed to the compiler from Python's distutils module.
See the error messages above.
(If they are about -mno-fused-madd and you are on OS/X 10.8,
see http://stackoverflow.com/questions/22313407/ .)

----------------------------------------
Cleaning up...
Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/rm/jkk12jm578jggsh636bnq0j00000gn/T/pip-build-g6JKEf/cffi
Exception information:
Traceback (most recent call last):
File "/usr/local/lib/python2.7/site-packages/pip/basecommand.py", line 246, in main
status = self.run(options, args)
File "/usr/local/lib/python2.7/site-packages/pip/commands/install.py", line 342, in run
requirement_set.prepare_files(finder)
File "/usr/local/lib/python2.7/site-packages/pip/req/req_set.py", line 345, in prepare_files
functools.partial(self._prepare_file, finder))
File "/usr/local/lib/python2.7/site-packages/pip/req/req_set.py", line 290, in _walk_req_to_install
more_reqs = handler(req_to_install)
File "/usr/local/lib/python2.7/site-packages/pip/req/req_set.py", line 502, in _prepare_file
abstract_dist.prep_for_dist()
File "/usr/local/lib/python2.7/site-packages/pip/req/req_set.py", line 123, in prep_for_dist
self.req_to_install.run_egg_info()
File "/usr/local/lib/python2.7/site-packages/pip/req/req_install.py", line 411, in run_egg_info
command_desc='python setup.py egg_info')
File "/usr/local/lib/python2.7/site-packages/pip/utils/__init__.py", line 733, in call_subprocess
% (command_desc, proc.returncode, cwd))
InstallationError: Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/rm/jkk12jm578jggsh636bnq0j00000gn/T/pip-build-g6JKEf/cffi


I tried relinking gcc, no luck.
I tried with these flags:

env DYLD_LIBRARY_PATH=/usr/local/opt/openssl/lib/ ARCHFLAGS="-arch x86_64 -Wno-error=unused-command-line-argument-hard-error-in-future" LDFLAGS="-L/usr/local/opt/openssl/lib" CFLAGS="-I/usr/local/opt/openssl/include" pip install cffi


This seems relevant https://trac.macports.org/ticket/43978 ?

Answer

Fixed by setting CC and using clang instead of gcc:

$ export CC=/usr/bin/clang;